<?php
/**
 * CalculateBasketItemTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\BasketsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Baskets
 *
 * Ensi Baskets
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\BasketsClient;

use PHPUnit\Framework\TestCase;

/**
 * CalculateBasketItemTest Class Doc Comment
 *
 * @category    Class
 * @description CalculateBasketItem
 * @package     Ensi\BasketsClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class CalculateBasketItemTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "CalculateBasketItem"
     */
    public function testCalculateBasketItem()
    {
    }

    /**
     * Test attribute "offer_id"
     */
    public function testPropertyOfferId()
    {
    }

    /**
     * Test attribute "product_id"
     */
    public function testPropertyProductId()
    {
    }

    /**
     * Test attribute "name"
     */
    public function testPropertyName()
    {
    }

    /**
     * Test attribute "code"
     */
    public function testPropertyCode()
    {
    }

    /**
     * Test attribute "barcode"
     */
    public function testPropertyBarcode()
    {
    }

    /**
     * Test attribute "vendor_code"
     */
    public function testPropertyVendorCode()
    {
    }

    /**
     * Test attribute "type"
     */
    public function testPropertyType()
    {
    }

    /**
     * Test attribute "is_adult"
     */
    public function testPropertyIsAdult()
    {
    }

    /**
     * Test attribute "uom"
     */
    public function testPropertyUom()
    {
    }

    /**
     * Test attribute "tariffing_volume"
     */
    public function testPropertyTariffingVolume()
    {
    }

    /**
     * Test attribute "order_step"
     */
    public function testPropertyOrderStep()
    {
    }

    /**
     * Test attribute "order_minvol"
     */
    public function testPropertyOrderMinvol()
    {
    }

    /**
     * Test attribute "main_image"
     */
    public function testPropertyMainImage()
    {
    }

    /**
     * Test attribute "qty"
     */
    public function testPropertyQty()
    {
    }

    /**
     * Test attribute "stock_qty"
     */
    public function testPropertyStockQty()
    {
    }

    /**
     * Test attribute "price"
     */
    public function testPropertyPrice()
    {
    }

    /**
     * Test attribute "price_per_one"
     */
    public function testPropertyPricePerOne()
    {
    }

    /**
     * Test attribute "cost"
     */
    public function testPropertyCost()
    {
    }

    /**
     * Test attribute "cost_per_one"
     */
    public function testPropertyCostPerOne()
    {
    }

    /**
     * Test attribute "discount"
     */
    public function testPropertyDiscount()
    {
    }

    /**
     * Test attribute "discount_per_one"
     */
    public function testPropertyDiscountPerOne()
    {
    }

    /**
     * Test attribute "discounts"
     */
    public function testPropertyDiscounts()
    {
    }

    /**
     * Test attribute "images"
     */
    public function testPropertyImages()
    {
    }

    /**
     * Test attribute "brand"
     */
    public function testPropertyBrand()
    {
    }

    /**
     * Test attribute "nameplates"
     */
    public function testPropertyNameplates()
    {
    }
}
